# QTextCodec Class Reference

### [com.trolltech.qt.core package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QTextCodec prototype object
- List availableCodecs()
- List availableMibs()
- QTextCodec codecForCStrings()
- QTextCodec codecForHtml(QByteArray ba)
- QTextCodec codecForLocale()
- QTextCodec codecForMib(int mib)
- QTextCodec codecForName(QByteArray name)
- QTextCodec codecForUtfText(QByteArray ba)
- void setCodecForCStrings(QTextCodec c)
- void setCodecForLocale(QTextCodec c)
- void setCodecForTr(QTextCodec c)
- ConvertInvalidToNull = 0x80000000
- DefaultConversion
- IgnoreHeader = 0x1
- FreeFunction = 0x2
- ConversionFlag( value )
- ConversionFlags( value1, value2, ... )

### Prototype Object Properties

- List aliases()
- bool canEncode(char arg__1)
- QByteArray fromUnicode(String uc)
- QTextDecoder makeDecoder()
- QTextEncoder makeEncoder()
- int mibEnum()
- QByteArray name()
- String toUnicode(QByteArray arg__1)

### Instance Properties

QTextCodec objects have no special properties beyond those inherited from the QTextCodec prototype object.